Subject: Re: bug#53275: 29.0.50; Cursor shows up at the middle of the screen after window start is forced when vscroll is set

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Jan 2022 09:47:04 +0200

> Date: Sat, 15 Jan 2022 11:56:23 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Starting from 'emacs -Q', press M-< in the scratch buffer, then say M-:
> and evaluate:
> 
>   (progn
>     (set-window-vscroll nil 30 t)
>     (redisplay)
>     (set-window-start nil (point-max)))
> 
> The cursor will then display in the center of the screen, which is not
> the correct position.

Sorry, I missed the "M-<" part.  With it, the behavior is
reproducible, but I'm not sure I understand what is "the correct
position" of the cursor in this case, or why does it matter what Emacs
does in that case (except that it should not crash).